--
-- $Id$
--
-- Customer specific once-script PCIN#39973.
DEFINE thisfile = 'PCIN#39973.sql'
DEFINE dbuser   = '^PCIN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Strippen domein-toevoeging 'PCI\' uit gebruikersnaam.
UPDATE prs_perslid
   SET prs_perslid_oslogin = SUBSTR (prs_perslid_oslogin, 5)
 WHERE prs_perslid_verwijder IS NULL
   AND prs_perslid_oslogin LIKE 'PCI\%';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
